#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define	module	zope.testing
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Name:		python-%{module}
Version:	4.7
Release:	1
License:	ZPL v2.1
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/zope-testing/
Source0:	https://files.pythonhosted.org/packages/source/z/zope.testing/zope.testing-%{version}.tar.gz
# Source0-md5:	13b45a1c9ec987e75a3f9e83b50d22a4
URL:		https://www.zope.org/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
Requires:	python-zope-base
Obsoletes:	Zope-Testing
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a number of testing frameworks. It supports both
doctest and unittest.

%description -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Obsługuje zarówno
doctest jak i unittest.

%package -n python3-%{module}
Summary:	Support for different testing frameworks
Summary(pl.UTF-8):	Obsługa różnych szkieletów testowych
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3
Requires:	python3-zope-base

%description -n python3-%{module}
This package provides a number of testing frameworks. It supports both
doctest and unittest.

%description -n python3-%{module} -l pl.UTF-8
Ten pakiet udostępnia wiele szkieletów testowych. Obsługuje zarówno
doctest jak i unittest.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install \
	--install-purelib=%{py_sitedir}

%py_postclean
# tests
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/zope/testing/{test_renormalizing,tests}.py*
%endif

%if %{with python3}
%py3_install \
	--install-purelib=%{py3_sitedir}

# tests
%{__rm} $RPM_BUILD_ROOT%{py3_sitedir}/zope/testing/{test_renormalizing,tests}.py*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py_sitedir}/zope/testing
%{py_sitedir}/zope.testing-%{version}-py*.egg-info
%{py_sitedir}/zope.testing-%{version}-py*-nspkg.pth
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{py3_sitedir}/zope/testing
%{py3_sitedir}/zope.testing-%{version}-py*.egg-info
%{py3_sitedir}/zope.testing-%{version}-py*-nspkg.pth
%endif
%changelog
* Sun Dec 29 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-zope.testing.git;a=log;h=master

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 3693e16
- updated to 4.7; zope.testrunner is separate package now

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e77a09d
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> af3d25c
- release 3 (by relup.sh)

* Sun Jan 01 2017 Jan Rękorajski <baggins@pld-linux.org> 20ca8d4
- add python3 package
- rel 2

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 5626eed
- renamed to  python-zope.testing

* Tue Dec 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 157cdfc
- don't pull Zope

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 36afd4c
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a76cb8f
- automatic change: use py_build/py_install macros

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> f7e68e0
- Zope does not provide eggs, move filtered out dep to R
- rel 3

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> 2ae5908
- release 2 (by relup.sh)

* Mon Jun 06 2011 marti <marti@pld-linux.org> b09bdf4
- up to 3.10.2

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0377b99
- release 2

* Wed Jun 03 2009 amateja <amateja@pld-linux.org> 6579f72
- updated to 3.7.2

* Tue Dec 09 2008 wrobell <wrobell@pld-linux.org> f16b3e8
- use pypi uri
- ver. 3.7.1

* Sun Nov 16 2008 wrobell <wrobell@pld-linux.org> e7a8bdb
- rel. 3

* Tue Mar 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 11dd8f5
- py_sitedir is not noarch

* Tue Mar 04 2008 wrobell <wrobell@pld-linux.org> 2e85f91
- moved to py_sitedir
- rel. 2

* Sat Jan 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 1b7c18e
- pl
- python deps
- noarch

* Thu Sep 13 2007 wrobell <wrobell@pld-linux.org> 331424c
- fixed/add url

* Thu Sep 13 2007 wrobell <wrobell@pld-linux.org> 010232c
- fixed summary/description/license/group

